Bug 168239 - editors/libreoffice does not honor MAKE_JOBS_UNSAFE
Summary: editors/libreoffice does not honor MAKE_JOBS_UNSAFE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-22 21:20 UTC by Howard Goldstein
Modified: 2012-11-23 12:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Howard Goldstein 2012-05-22 21:20:00 UTC
	

MAKE_JOBS_UNSAFE=yes is set in the Makefile, however the configure
script pulls the kernel OID for the number of cpus resulting in multiple
jobs running despite the MAKE_JOBS_UNSAFE setting

Fix: 

make patch
manually edit configure script so that BUILD_NCPUS=1 is always set
(search configure script for FreeBSD and the OID pull; it's with openbsd)
How-To-Repeat: 	
make configure , and then check work/libreoffice-core-3.5.2.2/configure
looking for BUILD_NCPUS.  It will not be 1 which is what it should
be
Comment 1 Edwin Groothuis freebsd_committer 2012-05-22 21:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 hg 2012-05-26 18:41:49 UTC
Please close this PR.  Although the information in the PR is correct it 
is not material to building or running libreoffice because the 
underlying makes are in fact safe for multiprocessor builds.  At most 
this is an extremely low priority doc-update

On 05/22/2012 16:20, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/168239'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=168239
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       editors/libreoffice does not honor MAKE_JOBS_UNSAFE
>> Arrival-Date:   Tue May 22 20:20:00 UTC 2012
Comment 3 Baptiste Daroussin freebsd_committer 2012-11-23 12:52:48 UTC
State Changed
From-To: open->closed

Close per submitter request, thanks!